DKBSignDocs

API reference

POSTRequires Bearer token

Verify a signed PDF

/api/verification/verify

Send either a multipart file or a JSON body with a document URL.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
file
stringPDF to verify (multipart).
url
stringHTTPS URL of the PDF (JSON).
e.g. "https://files.acme.test/signed.pdf"

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/verification/verify' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'file=file' \
  -F 'url=https://files.acme.test/signed.pdf'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}